# Define generating macros

define(`MACRO_1levels_stop',
`$1 $2  [ $4 $3 level 0 ]')dnl
define(`MACRO_2levels_stop',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 ]')dnl
define(`MACRO_3levels_stop',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 ]')dnl
define(`MACRO_4levels_stop',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]
 $1 $2 [ $7 level 3-3 ]')dnl
define(`MACRO_5levels_stop',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]
 $1 $2 [ $7 level 3-3 continue ]
 $1 $2 [ $8 level 4-4 ]')dnl
define(`MACRO_6levels_stop',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]
 $1 $2 [ $7 level 3-3 continue ]
 $1 $2 [ $8 level 4-4 continue ]
 $1 $2 [ $9 level 5-5 ]')dnl
define(`MACRO_1levels_cont',
`$1 $2  [ $4 $3 level 0 continue ]')dnl
define(`MACRO_2levels_cont',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]')dnl
define(`MACRO_3levels_cont',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]')dnl
define(`MACRO_4levels_cont',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]
 $1 $2 [ $7 level 3-3 continue ]')dnl
define(`MACRO_5levels_cont',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]
 $1 $2 [ $7 level 3-3 continue ] 
 $1 $2 [ $8 level 4-4 continue ]')dnl 
define(`MACRO_6levels_cont',
`$1 $2  [ $4 $3 level 0-0 continue ]
 $1 $2 [ $5 level 1-1 continue ]
 $1 $2 [ $6 level 2-2 continue ]
 $1 $2 [ $7 level 3-3 continue ] 
 $1 $2 [ $8 level 4-4 continue ] 
 $1 $2 [ $9 level 5-5 continue ]')dnl 
dnl
dnl This macro finds out the number of parameter it is called with to find out for how
dnl many levels it has to generate entries. The it calles the corresponding macro that
dnl actually generates the output.
define(`MACRO_genlevels_stop',`ifelse(
$#,4,MACRO_1levels_stop($1,$2,$3,$4),
$#,5,MACRO_2levels_stop($1,$2,$3,$4,$5),
$#,6,MACRO_3levels_stop($1,$2,$3,$4,$5,$6),
$#,7,MACRO_4levels_stop($1,$2,$3,$4,$5,$6,$7),
$#,8,MACRO_5levels_stop($1,$2,$3,$4,$5,$6,$7,$8),
$#,9,MACRO_6levels_stop($1,$2,$3,$4,$5,$6,$7,$8,$9))')dnl
define(`MACRO_genlevels_cont',`ifelse(
$#,4,MACRO_1levels_cont($1,$2,$3,$4),
$#,5,MACRO_2levels_cont($1,$2,$3,$4,$5),
$#,6,MACRO_3levels_cont($1,$2,$3,$4,$5,$6),
$#,7,MACRO_4levels_cont($1,$2,$3,$4,$5,$6,$7),
$#,8,MACRO_5levels_cont($1,$2,$3,$4,$5,$6,$7,$8),
$#,9,MACRO_6levels_cont($1,$2,$3,$4,$5,$6,$7,$8,$9))')dnl

# Define access macros

define(`access_always',`set access=yes; set motorcar=yes; set motorcycle=yes; set bicycle=yes;')
define(`access_dest',  `set bicycle=no; set motorcar=destination; set motorcycle=destination;')
define(`access_copy',  `set motorcar="${bicycle}"; set motorcycle="${bicycle}";')
define(`access_push',  `set bicycle="${foot}"; set motorcar="${foot}"; set motorcycle="${foot}";')
define(`access_denied',`set access=no; set motorcar=no; set motorcycle=no; set bicycle=no;')

# Define macros to remove the name
define(`remove_name', `delete name; delete name:de; delete int_name')

# Define road classes and road types for routing
define(`RCRS_ICN', `road_class=4 road_speed=2')dnl
define(`RCRS_NCN', `road_class=4 road_speed=2')dnl
define(`RCRS_RCN', `road_class=4 road_speed=2')dnl
define(`RCRS_LCN', `road_class=3 road_speed=2')dnl
define(`RCRS_TCN', `road_class=3 road_speed=1')dnl

# RCRS_cycleway : Any kind of cycleway, where no or almost no cars go
define(`RCRS_cycleway', `road_class=2 road_speed=2')dnl

# RCRS_cycleableway : Any kind of way, where you can get through with the bike, but not that fast
define(`RCRS_cycleableway', `road_class=1 road_speed=2')dnl

# RCRS_pushway : Where you can get through by pushing your bike
define(`RCRS_pushway', `road_class=0 road_speed=0')dnl

# RCRS_inthetraffic : Where you have to cycle inside car traffic
define(`RCRS_inthetraffic', `road_class=1 road_speed=1')dnl

# RCRS_residential : Roads like residential roads
define(`RCRS_residential', `road_class=1 road_speed=2')dnl

# RCRS_tracktype1
define(`RCRS_tracktype1', `road_class=1 road_speed=1')dnl

# RCRS_tracktype2
define(`RCRS_tracktype2', `road_class=0 road_speed=1')dnl

# RCRS_tracktype3
define(`RCRS_tracktype3', `road_class=0 road_speed=0')dnl

# RCRS_tracktype4
define(`RCRS_tracktype4', `road_class=0 road_speed=0')dnl

# RCRS_tracktype5
define(`RCRS_tracktype5', `road_class=0 road_speed=0')dnl

# List of GIDs (Garmin IDs) and RESsolution settings for include into the style files

define(`GID_ICN', `0x10a00,0x10a01,0x10a02,0x10a03,0x10a04,0x10a05')dnl
define(`GID_NCN', `0x10a06,0x10a07,0x10a08,0x10a09,0x10a0a,0x10a0b')dnl
define(`GID_RCN', `0x10a0c,0x10a0d,0x10a0e,0x10a0f')dnl
define(`GID_LCN', `0x10a10,0x10a11,0x10a12')dnl
define(`GID_TCN', `0x10a13,0x10a14,0x10a15,0x10a16')dnl

define(`GID_MTB', `0x2b')dnl

define(`GID_cycleway', `0x05,0x10305')dnl
define(`GID_footway', `0x0d')dnl
define(`GID_path', `0x16,0x10306')dnl
define(`GID_pedestrian', `0x0d')dnl
define(`GID_steps', `0x19')dnl
define(`GID_bridleway', `0x16')dnl
define(`GID_byway', `0x16')dnl

define(`GID_motorway',              `0x10100,0x10101,0x10102,0x10103')dnl
define(`GID_motorway_tunneled',     `0x10600,0x10601,0x10602,0x10603')dnl
dnl Bridges on motorways are only shown in the higher resolutions
define(`GID_motorway_bridged',      `0x10700,0x10701,0x10702,0x10103')dnl
define(`GID_motorway_link',         `0x10101,0x10102')dnl
define(`GID_motorway_link_tunneled',`0x10601,0x10602')dnl
define(`GID_motorway_link_bridged', `0x10701,0x10702')dnl
define(`GID_trunk',                 `0x10104,0x10105,0x10106')dnl
define(`GID_trunk_tunneled',        `0x10604,0x10605,0x10606')dnl
define(`GID_trunk_bridged',         `0x10704,0x10705,0x10706')dnl
define(`GID_trunk_link',            `0x10105,0x10106')dnl
define(`GID_trunk_link_tunneled',   `0x10605,0x10606')dnl
define(`GID_trunk_link_bridged',    `0x10705,0x10706')dnl
dnl
define(`GID_primary',               `0x06,0x10107,0x10108')dnl
define(`GID_primary_cycleway',      `0x10500,0x10501,0x10503')dnl
define(`GID_primary_link',          `0x12,0x10108')dnl
define(`GID_primary_link_cycleway', `0x10501,0x10503')dnl
define(`GID_secondary',             `0x12,0x10109')dnl
define(`GID_secondary_cycleway',    `0x10501,0x10503')dnl
define(`GID_tertiary',              `0x13,0x1010a')dnl
define(`GID_tertiary_cycleway',     `0x10502,0x10503')dnl
define(`GID_minor',                 `0x13,0x1010a')dnl
define(`GID_minor_cycleway',        `0x10502,0x10503')dnl
define(`GID_residential',           `0x0b,0x1010b')dnl
define(`GID_residential_cycleway',  `0x10502,0x10503')dnl
define(`GID_living_street',         `0x0b,0x1010b')dnl
define(`GID_living_street_cycleway',`0x10502,0x10503')dnl
define(`GID_service',               `0x0b,0x1010b')dnl
define(`GID_service_cycleway',      `0x10502,0x10503')dnl
define(`GID_unclassified',          `0x0b,0x1010b')dnl
define(`GID_unclassified_cycleway', `0x10502,0x10503')dnl
dnl
define(`GID_tracktype1',            `0x07,0x10300')dnl
define(`GID_tracktype2',            `0x0a,0x10301')dnl
define(`GID_tracktype3',            `0x0f,0x10302')dnl
define(`GID_tracktype4',            `0x10,0x10303')dnl
define(`GID_tracktype5',            `0x11,0x10304')dnl
dnl
define(`GID_ferry', `0x1b')dnl
dnl
define(`GID_rail',                `0xac00, 0xac00, 0xac01, 0xac01')dnl
define(`GID_rail_tunnel',         `0xac02, 0xac02, 0xac03, 0xac03')dnl
define(`GID_rail_service',        `0xac01, 0xac01')dnl
define(`GID_rail_service_tunnel', `0xac03, 0xac03')dnl
define(`GID_rail_disused',        `0xac00')dnl
define(`GID_rail_disused_tunnel', `0xac02')dnl
define(`GID_light_rail',          `0xac00, 0xac01')dnl
define(`GID_light_rail_tunnel',   `0xac02, 0xac03')dnl
define(`GID_subway',              `0xac00, 0xac01')dnl
define(`GID_subway_tunnel',       `0xac02, 0xac03')dnl
define(`GID_tram',                `0xac00, 0xac01')dnl
define(`GID_tram_tunnel',         `0xac02, 0xac03')dnl

define(`GID_canal', `0x10401,0x10402,0x10403,0x10404')dnl
define(`GID_ditch', `0x10405')dnl
define(`GID_drain', `0x10406')dnl
define(`GID_stream', `0x18,0x10407')dnl
define(`GID_very_big_river', `0x10408,0x10409,0x1f,0x1040a,0x1040b')dnl
define(`GID_big_river', `0x10409,0x1f,0x1040a,0x1040b')dnl
define(`GID_medium_river', `0x1f,0x1040a,0x1040b')dnl
define(`GID_small_river', `0x1040a,0x1040b')dnl
# Resolution levels for the cycle networks
define(`minimum',`ifelse(eval($1 > $2),1,$1,$2)')dnl
define(`minimum',`ifelse(eval($1 < $2),1,$1,$2)')dnl

define(`LEV_MTB', `2')dnl

define(`LEV_pedestrian', `0')dnl

define(`LEV_background',`level 0')dnl

define(`LINE_background',`[ $1 LEV_background ]')dnl
# Hintergrund-Linie. Vervollständigt die Karte, ist aber prinzipiell entbehrlich.
# Bei einer auf wenig Speicherverbrauch optimierten Version der Karte könnte diese Linie weggelassen werden.

define(`POI_background',`[ $1 LEV_background ]')dnl
# Hintergrund-POIs. Vervollständigen die Karte, sind aber prinzipiell entbehrlich.
# Bei einer auf wenig Speicherverbrauch optimierten Version der Karte könnten diese POIs weggelassen werden.

define(`POI_public_building',`[ $1 level 0 ]')dnl
# Öffentliche Gebäude

define(`POI_healthcare',`[ $1 level 0 ]')dnl
# Medizinische Versorgung

define(`POI_useful_cycling',`[ $1 level 1 ]')dnl
# POIs die speziell fr den Radfahrer nützlich sind: Fahrradläden, Schlauchomaten, etc.

define(`POI_useful_cycling_details',`[ $1 level 1 ]')dnl
# wie oben, aber kleine Details, die erst bei hohem Zoom angezeigt werden sollen: Fahrradparkplätze z.B.

define(`POI_useful_daily_life',`[ $1 level 0 ]')dnl
# POIs die für das tägliche Leben nützlich sind: Geldautomaten, Läden, usw.

define(`POI_useful_public_transport',`[ $1 level 0 ]')dnl
# POIs aus dem Themenbereich öffentlicher Nah- und Fernverkehr.
# Diese POIs halte ich für wichtig in einer Radfahrkarte, falls man wegen eines Defektes oder Unwetters
# auf den ÖPNV ausweichen will.

define(`POI_useful_trip',`[ $1 level 1 ]')dnl
define(`POI_useful_trip_plus_one',`[ $1 level 2 ]')dnl
# POIs die auf einer Radtour nützlich sind: Restaurants, Biergärten, Unterstände, Hotels usw.

define(`POI_useful_trip_details',`[ $1 level 0 ]')dnl
# wie oben, aber kleine Details, die erst bei hohem Zoom angezeigt werden sollen: Sitzbänke z.B.

define(`POI_castle',`[ $1 level 2 ]')dnl
# Castles and all their variants

define(`POI_stadium',`[ $1 level 1 ]')dnl
# Stadiums and tracks etc.
