
waterway=riverbank [0x46 level 2]

natural=water & (name="Bodensee" | name="Müritz" | name="Chiemsee" | name="Schweriner See" | name="Starnberger See") [0x3c level 5-5 continue]
natural=water & (name="Bodensee" | name="Müritz" | name="Chiemsee" | name="Schweriner See" | name="Starnberger See") [0x3d level 4-4 continue]
natural=water & (name="Bodensee" | name="Müritz" | name="Chiemsee" | name="Schweriner See" | name="Starnberger See") [0x3e level 3]

natural=water & (name="Ammersee" | name="Plauer See" | name="Kummerower See" | name="Steinhuder Meer" | name="Großer Plöner See") [0x3c level 4-4 continue]
natural=water & (name="Ammersee" | name="Plauer See" | name="Kummerower See" | name="Steinhuder Meer" | name="Großer Plöner See") [0x3d level 3-3 continue]
natural=water & (name="Ammersee" | name="Plauer See" | name="Kummerower See" | name="Steinhuder Meer" | name="Großer Plöner See") [0x3e level 2]

natural=water [0x3c level 3-3 continue]
natural=water [0x3c level 2-2 continue]
natural=water [0x3d level 1-1 continue]
natural=water [0x3e level 0]

building=* [0x13 level 1]

(highway=pedestrian | highway=footway) & area=yes [0x1b level 1]
area=yes & highway=* [0x10101 level 1]

aeroway=airport       [0x07 level 2]
aeroway=aerodrome     [0x07 level 2]
aeroway=terminal      [0x13 level 2]
aeroway=runway        [0x0e level 1]
aeroway=taxiway       [0x0e level 1]

amenity=college       [0x0a level 2]
amenity=grave_yard    [0x1a level 1]
amenity=hospital      [0x0b level 1]
amenity=mall          [0x08 level 2]

amenity=parking & (parking=multi-storey & parking=underground) & name~'.*[Pp]ark.*' & (access=private | access=no)
	{ name '${name} (Auto, nicht-öffentlich)' } [0x06 level 1]
amenity=parking & (parking=multi-storey & parking=underground) & name~'.*[Pp]ark.*'
	{ name '${name} (Auto, nicht-öffentlich)' } [0x06 level 1]
amenity=parking & (parking=multi-storey & parking=underground) & (access=private | access=no)
	{ name '${name} Parkplatz (Auto, nicht-öffentlich)' | 'Nicht-öffentlicher Parkplatz (Auto)' } [0x06 level 1]
amenity=parking & (parking=multi-storey & parking=underground)
	{ name '${name} Parkplatz' } [0x06 level 1]
amenity=parking & name~'.*[Pp]ark.*' & (access=private | access=no)
	{ name '${name} (Auto, nicht-öffentlich)' } [0x05 level 1]
amenity=parking & name~'.*[Pp]ark.*'
	{ name '${name} (Auto, nicht-öffentlich)' } [0x05 level 1]
amenity=parking & (access=private | access=no)
	{ name '${name} Parkplatz (Auto, nicht-öffentlich)' | 'Nicht-öffentlicher Parkplatz (Auto)' } [0x05 level 1]
amenity=parking
	{ name '${name} Parkplatz' } [0x05 level 1]

amenity=school        [0x0a level 1]
amenity=supermarket   [0x08 level 1]
amenity=university    [0x0a level 2]

define(`LEV_areas',`level 3')
define(`LEV_sea',  `level 5')

landuse=allotments    [0x4e default_name="Schrebergarten" LEV_areas continue]
landuse=basin         [0x40 LEV_areas continue]
#landuse=brownfield    [0x17 LEV_areas continue]
landuse=cemetary      [0x1a LEV_areas continue]
landuse=cemetery      [0x1a LEV_areas continue]
landuse=commercial    [0x0c LEV_areas continue]
landuse=construction  [0x23 LEV_areas continue]
landuse=farm | landuse=farmland
                      [0x26 LEV_areas continue]
landuse=farmyard      [0x13 default_name="Bauernhof" LEV_areas continue]
landuse=forest & wood=mixed
                      [0x15 LEV_areas continue]
landuse=forest & wood=coniferous
                      [0x1e LEV_areas continue]
landuse=forest & wood=deciduous
                      [0x1f LEV_areas continue]
landuse=forest & wood!=mixed & wood!=coniferous & wood!=deciduous
                      [0x50 LEV_areas continue]
#landuse=garages
landuse=grass         [0x14 LEV_areas continue]
landuse=greenfield    [0x23 LEV_areas continue]
#landuse=greenhouse | landuse=greenhouse_horticulture
landuse=industrial    [0x0c LEV_areas continue]
landuse=landfill      [0x0c LEV_areas continue]
landuse=meadow        [0x25 LEV_areas continue]
landuse=military      [0x04 LEV_areas continue]
landuse=orchard       [0x4e LEV_areas continue]
landuse=park          [0x17 LEV_areas continue]

landuse=quarry        [0x24 level 0 continue]
landuse=quarry        [0x10601 level 1-1 continue]
landuse=quarry        [0x10602 level 2-2 continue]
landuse=quarry        [0x10602 level 3-3 continue]

landuse=railway       [0x30 LEV_areas continue]
landuse=recreation_ground [0x17 LEV_areas continue]
landuse=reservoir     [0x41 LEV_areas continue]
landuse=residential   [0x03 LEV_areas continue]
landuse=retail        [0x08 LEV_areas continue]
#landuse=salt_pond
landuse=village_green [0x25 LEV_areas continue]
landuse=vineyard      [0x21 LEV_areas continue]
landuse=wetland       [0x51 LEV_areas continue]
landuse=wood          [0x50 LEV_areas continue]

leisure=common        [0x17 LEV_areas]
leisure=garden        [0x17 LEV_areas]
leisure=golf_course   [0x18 LEV_areas]
leisure=marina        [0x09 LEV_areas]
leisure=nature_reserve & name=* { name '${name|start-with:Naturschutzgebiet }' }
leisure=nature_reserve [0x16 LEV_areas]
leisure=park          [0x17 LEV_areas]
leisure=pitch         [0x19 LEV_areas]
leisure=playground    [0x17 LEV_areas]
leisure=sports_center | leisure=sports_centre [0x19 LEV_areas]
leisure=stadium       [0x19 LEV_areas]
leisure=track         [0x19 LEV_areas]
leisure=water_park    [0x09 LEV_areas]

man_made=breakwater   [0x10403 LEV_areas]
man_made=pier         [0x10600 LEV_areas]

military=airfield     [0x04 LEV_areas]
military=barracks     [0x04 LEV_areas]
military=danger_area  [0x04 LEV_areas]
military=range        [0x04 LEV_areas]

natural=beach         [0x31 LEV_areas]
natural=glacier       [0x4d LEV_areas]
natural=heath         [0x0d LEV_areas]
natural=marsh         [0x51 LEV_areas]
natural=mud           [0x51 LEV_areas]
natural=scrub         [0x4f LEV_areas]
natural=sea           [0x32 LEV_sea]
natural=wetland       [0x51 LEV_areas]
natural=wood & landuse!=forest
                      [0x50 LEV_areas]

place=city            [0x01 level 5-4]
place=town            [0x01 level 4-4]
place=village         [0x02 LEV_areas]
place=hamlet          [0x02 LEV_areas]

power=station | power=generator [0x1d LEV_areas]

tourism=camp_site     [0x20 LEV_areas]

# other highways that have area=yes set must be parking lots
highway=* & area=yes [0x05 level 0]
